Subject: Re: Anyone running GIT on native Windows

From: Johannes Sixt <[email-masked]>
Date: Fri, 11 May 2007 18:34:21 +0200

Han-Wen Nienhuys wrote:
> http://lilypond.org/git/binaries/mingw/git-1.5.1-1.mingw.exe

This resulted in a mostly working git toolset after I've done this in
addition to installing it:

- Installed MSYS (of course ;)
- Install libiconv-2.dll, which can be found in
diffutils-2.8.7-1-dep.zip from
http://sourceforge.net/project/showfiles.php?group_id=2435 (available in
Section Snapshot->MSYS) (rename libiconv2.dll to libiconv-2.dll)
- Set the path to MSYS and Git manually.

For extra bonus points, I should also have installed
bash-3.1-MSYS-1.0.11-snapshot.tar.bz2 (without which 'git am' fails) and
msysDTK-1.0.1.exe for ssh and perl, but I haven't.

gitk and git-gui are untested; they need tcltk-8.4.1-1.exe, of course.

-- Hannes